package net.argius.filetool;

import java.io.*;

import junit.framework.*;

/**
 * 
 */
public class UtilitiesTest extends TestCase {

    /**
     * Test method for {@link net.argius.filetool.Utilities#createTemporaryFile()}.
     */
    public void testCreateTemporaryFile() {
        try {
            File tmp = Utilities.createTemporaryFile();
            String name = tmp.getName();
            assertTrue("prefix", name.startsWith("argius-filetool-"));
            assertTrue("suffix", name.endsWith(".tmp"));
        } catch (IOException ex) {
            ex.printStackTrace();
            fail(ex.toString());
        }
        TestHelper.callPrivateConstructor(Utilities.class);
    }

    /**
     * Test method for {@link net.argius.filetool.Utilities#getFirstStackTrace(java.lang.Throwable, java.lang.Class)}.
     */
    public void testGetFirstStackTrace() {
        fail("Not yet implemented");
    }

}
